apiVersion: traefik.containo.us/v1alpha1
kind: IngressRouteTCP
metadata:
  name: nextcloud-via-rathole
spec:
  entryPoints:
    - websecure
  routes:
    - match: HostSNI(`cloud.tobru.ch`)
      services:
        - name: rathole-nextcloud
          port: 5202
  tls:
    passthrough: true
